## diffoscope 90~bpo9+1

=== debian/changelog ===
diffoscope (90~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 01 Jan 2018 10:53:21 +0100

diffoscope (90) unstable; urgency=medium

  [ Juliana Oliveira ]
  * tests:
    + comparators/test_rlib: Fix tests for llvm >= 5.0.  Closes: #877727
    + Skip some tests if 'xz' is not present.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Dec 2017 19:49:30 +0100

diffoscope (89) unstable; urgency=medium

  [ Mike Hommey ]
  * comparators:
    + elf:
      - Add fallbacks to elf code section disassembly.  Closes: #879003
    + utils/libarchive:
      - Extract libarchive members with the file extension.

  [ Ximin Luo ]
  * Auto-generate manpage using help2man, so it's no longer out-of-date.
  * difference:
    + Add a Difference.from_command_exc() to help distinguish excluded
      commands from commands returning an empty diff.
  * comparators:
    + utils/command:
      - Replace the feed_stdin() feeder into the simpler stdin() function,
        which provides (if needed) a simple file opject instead of a feeder.
    + utils/container:
      - Add a perform_fuzzy_matching() method (wrapping the already existing
        method) so that comparators can easily override it.
    + deb:
      - Loose matching for .deb archive members, so it's possible to e.g.
      compare deb with different control.tar.{gz,xz}.  Closes: #881937
    + elf:
      - Improve disassembly fallbacks with Difference.from_command_exc().
    + png:
      - Cater for the feed_stdin() removal.
    + zip:
      - Run zipinfo on /dev/stdin instead of a variable path to avoid including
       the temporary file name in the output.  Closes: #879011
      - Cater for the feed_stdin() removal.
  * presenters/formats:
    + Allow non-text formats to output an empty diff.
  * debian/clean:
    + Remove the egg file when cleaning.

  [ Chris Lamb ]
  * comparators:
    + utils/file:
      - Handle case where a file to be "fuzzy" matched does not contain enough
        entropy despite being over 512 bytes.  Closes: #882981
    + android:
      - Add support for Android ROM boot.img introspection.  Closes: #884557
    + symlink:
      - Make cleanup of placeholders idempotent.

  [ Juliana Oliveira Rodrigues ]
  * tests:
    + utils/tools:
      - Add a skip_if_tool_version_is() function.
    + elf:
      - Skip some tests if readelf is version '2.29', where its behaviour
        was accidentally changed to exit with code 1 when it previously
        didn't.  Closes: #877728

  [ Holger Levsen ]
  * debian/control: Bump Standards-Version to 4.1.2.  No changes required.

  [ Mattia Rizzolo ]
  * debian/control: Set Rules-Requires-Root: no.
  * Bump Debhelper compat version to 11.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 25 Dec 2017 14:49:22 +0100

diffoscope (88) unstable; urgency=medium

  [ Holger Levsen ]
  * Bump standards version to 4.1.1, no changes needed.

  [ Mattia Rizzolo ]
  * tests/comparators:
    + dtb: compatibility with version 1.4.5.  Closes: #880279

  [ Chris Lamb ]
  * comparators:
    + binwalk: improve names in output of "internal" members.  Closes: #877525
    + Omit misleading "any of" prefix when only complaining about one module
      in ImportError messages.
  * Don't crash on malformed md5sums files.  Closes: #877473
  * tests/comparators:
    + ps: ps2ascii > 9.21 now varies on timezone, so skip this test for now.
    + dtby: only parse the version number, not any "-dirty" suffix.
  * debian/watch: use HTTPS URI.

  [ Ximin Luo ]
  * comparators:
    + utils/file: diff container metadata centrally.  Closes: #797759
      This fixes a last remaining bug in fuzzy-matching across containers.
    + Fix all the affected comparators after the above change.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 04 Nov 2017 16:26:09 +0100
