=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
  Reiner Herrmann <reiner@reiner-h.de>,
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
+ abootimg <!nocheck>,
  apktool <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
- debhelper (>= 10),
+ debhelper (>= 11~),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
@@ -27,6 +28,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
+ help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
  libarchive-tools <!nocheck>,
@@ -66,7 +68,8 @@
  tcpdump <!nocheck>,
  unzip <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
+Rules-Requires-Root: no
 Homepage: https://diffoscope.org/
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
