=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 
 include /usr/share/dpkg/pkg-info.mk
 
-MANPAGES = $(patsubst %.1.rst,%.1,$(wildcard debian/*.1.rst))
 PY_VERSION := $(shell awk '/^VERSION = / {gsub(/"/, "", $$3); print $$3}' diffoscope/__init__.py )
 
 ifneq ($(DEB_VERSION),$(PY_VERSION))
@@ -35,22 +34,27 @@
 %:
 	dh $@ --with python3 --with bash-completion --buildsystem=pybuild
 
-debian/%.1: debian/%.1.rst
-	rst2man $< $@
+doc/%.1:
+	$(MAKE) -C doc $*.1
 
 debian/diffoscope.bash-completion:
 	register-python-argcomplete diffoscope > $@
 
-override_dh_auto_build: debian/diffoscope.bash-completion $(MANPAGES)
+override_dh_auto_build: debian/diffoscope.bash-completion
 	dh_auto_build -O--buildsystem=pybuild
+	dh_auto_build -O--buildsystem=makefile -Ddoc
+
+override_dh_auto_clean:
+	dh_auto_clean -O--buildsystem=pybuild
+	dh_auto_clean -O--buildsystem=makefile -Ddoc
 
 override_dh_auto_test:
 # Let's avoid plonking everything in the "DOS/MBR" category, this is really not
 # a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
 	! grep 'DOS/MBR' -R diffoscope
-	dh_auto_test
+	dh_auto_test -O--buildsystem=pybuild
 
-override_dh_installman: $(MANPAGES)
+override_dh_installman:
 	dh_installman -O--buildsystem=pybuild
 
 override_dh_python3:
