=== debian/control ===
--- 
+++ 
@@ -15,12 +15,14 @@
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
  colord <!nocheck>,
+ db-util <!nocheck>,
  debhelper (>= 11~),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
  device-tree-compiler (>= 1.4.2) <!nocheck>,
+ e2fsprogs <!nocheck>,
  enjarify <!nocheck>,
  flake8 <!nocheck>,
  fontforge-extras <!nocheck>,
@@ -52,11 +54,13 @@
  python3-distro <!nocheck>,
  python3-docutils,
  python3-guestfs <!nocheck>,
+ python3-jsondiff <!nocheck>,
  python3-libarchive-c,
  python3-magic,
  python3-progressbar <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-cov <!nocheck>,
+ python3-pyxattr <!nocheck>,
  python3-rpm <!nocheck>,
  python3-setuptools,
  python3-tlsh (>= 3.4.1) <!nocheck>,
@@ -67,10 +71,11 @@
  squashfs-tools <!nocheck>,
  tcpdump <!nocheck>,
  unzip <!nocheck>,
+ xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.2
+Standards-Version: 4.1.3
 Rules-Requires-Root: no
-Homepage: https://diffoscope.org/
+Homepage: https://diffoscope.org
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
 Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
