=== debian/rules ===
--- 
+++ 
@@ -41,21 +41,15 @@
 	register-python-argcomplete diffoscope > $@
 
 override_dh_auto_build: debian/diffoscope.bash-completion
+	@# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
+	@# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
+	! grep 'DOS/MBR' -R diffoscope
 	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc
 
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
 	dh_auto_clean -O--buildsystem=makefile -Ddoc
-
-override_dh_auto_test:
-# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
-# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
-	! grep 'DOS/MBR' -R diffoscope
-	dh_auto_test -O--buildsystem=pybuild
-
-override_dh_installman:
-	dh_installman -O--buildsystem=pybuild
 
 override_dh_python3:
 	dh_python3 -p diffoscope \
@@ -64,8 +58,10 @@
 		--recommends=binwalk \
 		--recommends=defusedxml \
 		--recommends=guestfs \
+		--recommends=jsondiff \
 		--recommends=progressbar \
 		--recommends=python-debian \
+		--recommends=pyxattr \
 		--recommends=rpm-python \
 		--recommends=tlsh \
