=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
+ gnumeric <!nocheck>,
  help2man,
  imagemagick <!nocheck>,
  jsbeautifier <!nocheck>,
@@ -44,7 +45,6 @@
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
- pdftk <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
@@ -88,6 +88,7 @@
 Replaces:
  debbindiff (<< 29),
 Depends:
+ python3-distutils,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
@@ -101,5 +102,4 @@
  compare two tarballs, ISO images, or PDF just as easily. The differences can
  be shown in a text or HTML report.
  .
- diffoscope is developed as part of the “reproducible builds” Debian
- project.
+ diffoscope is developed as part of the “reproducible builds” project.
