=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,11 @@
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
     endif
   else
-   $(error Version in debian/changelog does not match diffoscope version)
+    ifeq ($(DEB_DISTRIBUTION),bionic)
+     $(info "Ubuntu gets to do whatever they want ☺")
+    else
+     $(error Version in debian/changelog does not match diffoscope version)
+    endif
   endif
  endif
 endif
@@ -41,9 +45,6 @@
 	register-python-argcomplete diffoscope > $@
 
 override_dh_auto_build: debian/diffoscope.bash-completion
-	@# Let's avoid plonking everything in the "DOS/MBR" category, this is really not
-	@# a sustainable filetype testing solution (e.g. c051ba9d and c1442405).
-	! grep 'DOS/MBR' -R diffoscope
 	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc
