=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ https://reproducible.alioth.debian.org/releases/diffoscope/diffoscope-(.+).tar.bz2
