## diffoscope 94~bpo9+2

=== debian/changelog ===
diffoscope (94~bpo9+2) stretch-backports; urgency=medium

  * Drop dependency on python3-distutils, not present in stretch as it's part
    of the core python distribution.  Closes: #898683

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 15 May 2018 10:00:03 +0200

diffoscope (94~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * tests/test_binary: don't capture unused output from subprocess.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 May 2018 16:21:30 +0200

diffoscope (94) unstable; urgency=medium

  [ Chris Lamb ]
  * Update tests to prevent FTBFS under file 5.33. (Closes: #897099)
  * Remove all __pycache__ directories to avoid source-contains-empty-directory
    Lintian warning.
  * Remove unused test1.txt test data file.
  * Bump Standards-Version to 4.1.4.

  [ anthraxx ]
  * Add gnumeric to the list of ArchLinux tools.

  [ Paul Wise ]
  * Sort the Debian dependencies.

 -- Chris Lamb <lamby@debian.org>  Sat, 05 May 2018 22:44:44 -0700
