=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
  db-util <!nocheck>,
  debhelper (>= 11~),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
+ device-tree-compiler (>= 1.4.2) <!nocheck>,
  dh-python (>= 2.20160818~),
  docx2txt <!nocheck>,
  dpkg-dev (>= 1.17.14),
- device-tree-compiler (>= 1.4.2) <!nocheck>,
  e2fsprogs <!nocheck>,
  enjarify <!nocheck>,
  flake8 <!nocheck>,
@@ -45,6 +45,7 @@
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
+ pdftk <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
  python-argcomplete,
@@ -73,7 +74,7 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
@@ -88,7 +89,6 @@
 Replaces:
  debbindiff (<< 29),
 Depends:
- python3-distutils,
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
