=== debian/rules ===
--- 
+++ 
@@ -7,17 +7,13 @@
 ifneq ($(DEB_VERSION),$(PY_VERSION))
  ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
   ifneq (,$(filter %-backports,$(DEB_DISTRIBUTION)))
-    ifeq ($(DEB_VERSION:~bpo9+1=),$(PY_VERSION))
+    ifeq ($(DEB_VERSION:~bpo9+2=),$(PY_VERSION))
      $(info Building a Debian backport, accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
     else
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
     endif
   else
-    ifeq ($(DEB_DISTRIBUTION),bionic)
-     $(info "Ubuntu gets to do whatever they want ☺")
-    else
-     $(error Version in debian/changelog does not match diffoscope version)
-    endif
+   $(error Version in debian/changelog does not match diffoscope version)
   endif
  endif
 endif
@@ -51,6 +47,7 @@
 override_dh_auto_clean:
 	dh_auto_clean -O--buildsystem=pybuild
 	dh_auto_clean -O--buildsystem=makefile -Ddoc
+	find -type d -name '__pycache__' -empty -delete
 
 override_dh_python3:
 	dh_python3 -p diffoscope \
