=== debian/control ===
--- 
+++ 
@@ -45,9 +45,9 @@
  odt2txt <!nocheck>,
  oggvideotools <!nocheck>,
  openssh-client <!nocheck>,
- pdftk <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
+ procyon-decompiler <!nocheck>,
  python-argcomplete,
  python3-all,
  python3-binwalk <!nocheck>,
@@ -74,11 +74,11 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
-Vcs-Git: https://anonscm.debian.org/git/reproducible/diffoscope.git
-Vcs-Browser: https://anonscm.debian.org/git/reproducible/diffoscope.git
+Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
+Vcs-Browser: https://salsa.debian.org/reproducible-builds/diffoscope
 
 Package: diffoscope
 Architecture: all
@@ -89,6 +89,7 @@
 Replaces:
  debbindiff (<< 29),
 Depends:
+ python3-distutils | libpython3.5-stdlib | libpython3.6-stdlib (<< 3.6.5~rc1-2),
  python3-pkg-resources,
  ${misc:Depends},
  ${python3:Depends},
