=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 ifneq ($(DEB_VERSION),$(PY_VERSION))
  ifneq ($(DEB_DISTRIBUTION),UNRELEASED)
   ifneq (,$(filter %-backports,$(DEB_DISTRIBUTION)))
-    ifeq ($(DEB_VERSION:~bpo9+2=),$(PY_VERSION))
+    ifeq ($(DEB_VERSION:~bpo9+1=),$(PY_VERSION))
      $(info Building a Debian backport, accepting version mismatch $(PY_VERSION) <-> $(DEB_VERSION))
     else
      $(error Version in debian/changelog does not match diffoscope version or backport policy)
@@ -44,11 +44,6 @@
 	dh_auto_build -O--buildsystem=pybuild
 	dh_auto_build -O--buildsystem=makefile -Ddoc
 
-override_dh_auto_clean:
-	dh_auto_clean -O--buildsystem=pybuild
-	dh_auto_clean -O--buildsystem=makefile -Ddoc
-	find -type d -name '__pycache__' -empty -delete
-
 override_dh_python3:
 	dh_python3 -p diffoscope \
 		--depends=distro \
@@ -76,3 +71,24 @@
 
 favicon.png: logo.svg
 	inkscape -w 32 -h 32 -e $@ $<
+
+override_dh_auto_clean:
+	@echo "Generating the debian/tests/control file..."
+	@echo "# DON'T MANUALLY MODIFY!" > debian/tests/control.tmp
+	@echo "# EDIT debian/tests/control.in INSTEAD!" >> debian/tests/control.tmp
+	@echo "#" >> debian/tests/control.tmp
+	@cat debian/tests/control.in >> debian/tests/control.tmp
+	@sed -i "s#%RECOMMENDS%#$(shell bin/diffoscope --list-debian-substvars | cut -d= -f2)#" debian/tests/control.tmp
+	@set -e ; if ! diff -q debian/tests/control debian/tests/control.tmp ; then \
+		echo ;\
+		echo "The generated control file differs from the actual one." ;\
+		echo "A sourceful upload of this package is needed." ;\
+		echo ;\
+		echo "Differences:" ;\
+		diff -u debian/tests/control debian/tests/control.tmp ;\
+	else \
+		rm debian/tests/control.tmp ;\
+	fi
+	dh_auto_clean -O--buildsystem=pybuild
+	dh_auto_clean -O--buildsystem=makefile -Ddoc
+	find -type d -name '__pycache__' -empty -delete
