=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  Ximin Luo <infinity0@debian.org>,
 Build-Depends:
  abootimg <!nocheck>,
- apktool <!nocheck>,
+ apktool [!ppc64el !s390x] <!nocheck>,
  bash-completion,
  binutils-multiarch <!nocheck>,
  caca-utils <!nocheck>,
@@ -26,7 +26,7 @@
  enjarify <!nocheck>,
  flake8 <!nocheck>,
  fontforge-extras <!nocheck>,
- fp-utils <!nocheck>,
+ fp-utils [!ppc64el !s390x] <!nocheck>,
  ghc <!nocheck>,
  ghostscript <!nocheck>,
  giflib-tools <!nocheck>,
@@ -41,10 +41,9 @@
  libjs-jquery-tablesorter <!nocheck>,
  libjs-jquery-throttle-debounce <!nocheck>,
  llvm <!nocheck>,
- lz4 <!nocheck>,
  mono-utils <!nocheck>,
  odt2txt <!nocheck>,
- oggvideotools <!nocheck>,
+ oggvideotools [!s390x] <!nocheck>,
  openssh-client <!nocheck>,
  pgpdump <!nocheck>,
  poppler-utils <!nocheck>,
@@ -75,7 +74,7 @@
  unzip <!nocheck>,
  xmlbeans <!nocheck>,
  xxd <!nocheck> | vim-common <!nocheck>,
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://diffoscope.org
 Vcs-Git: https://salsa.debian.org/reproducible-builds/diffoscope.git
