## diffoscope 102~bpo9+1

=== debian/changelog ===
diffoscope (102~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * Drop build-dep on lz4, not available in stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 25 Sep 2018 11:53:33 +0200

diffoscope (102) unstable; urgency=medium

  [ Chris Lamb ]
  * Fix tests under colord >= 1.4.3.  Closes: #908900

  [ Xavier Briand ]
  * Add an "Add a comparator" section in CONTRIBUTING.  MR: !9

  [ Mattia Rizzolo ]
  * debian: Use the new debhelper-compat(=11) build dep and drop d/compat.

  [ Marek Marczykowski-Górecki ]
  * comparators/json: Try fuzzy matching for non-text files too.
    This avoids loading very large file just to discover they aren't JSON.
    Closes: #909122

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 23 Sep 2018 10:43:40 +0200
