=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
  caca-utils <!nocheck>,
  colord <!nocheck>,
  db-util <!nocheck>,
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  default-jdk-headless <!nocheck> | default-jdk <!nocheck>,
  device-tree-compiler (>= 1.4.2) <!nocheck>,
  dh-python (>= 2.20160818~),
